| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
taxonomy.php File Reference

## Functions
| file_tag_encode ($s)
| file_tag_decode ($s)
| file_tag_file_query ($table, $s, $type= 'file')
| term_query ($table, $s, $type=TERM_UNKNOWN)
| store_item_tag ($uid, $iid, $otype, $type, $term, $url= '')
| get_terms_oftype ($arr, $type)
| format_term_for_display ($term)
| tagadelic ($uid, $count=0, $type=TERM_HASHTAG)
| tags_sort ($a, $b)
| tagblock ($link, $uid, $count=0, $type=TERM_HASHTAG)

## Function Documentation

file_tag_decode | ( |  | $s | ) |

file_tag_encode | ( |  | $s | ) |

file_tag_file_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `'file'`
| ) |  |

Referenced by channel_content().

format_term_for_display | ( |  | $term | ) |

Referenced by conversation(), and prepare_body().

get_terms_oftype | ( |  | $arr,
|  |  | $type
| ) |  |

Referenced by conversation(), item_getfeedtags(), prepare_body(), tag_deliver(), and tgroup_check().

store_item_tag | ( |  | $uid,
|  |  | $iid,
|  |  | $otype,
|  |  | $type,
|  |  | $term,
|  |  | $url = `''`
| ) |  |

Referenced by filer_content(), and tag_deliver().

tagadelic | ( |  | $uid,
|  |  | $count = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

Referenced by tagblock().

tagblock | ( |  | $link,
|  |  | $uid,
|  |  | $count = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

tags_sort | ( |  | $a,
|  |  | $b
| ) |  |

term_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `TERM_UNKNOWN`
| ) |  |

Referenced by items_fetch(), and network_content().